cpw.mods.fml.common.discovery.asm

## Class ModAnnotation

- java.lang.Object
- - cpw.mods.fml.common.discovery.asm.ModAnnotation

-     public class ModAnnotation
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ModAnnotation.EnumHolder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModAnnotation(cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType type, org.objectweb.asm.Type asmType, ModAnnotation parent)`
    `ModAnnotation(cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType type, org.objectweb.asm.Type asmType, java.lang.String member)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArray(java.lang.String name)`
    `ModAnnotation` | `addChildAnnotation(java.lang.String name, java.lang.String desc)`
    `void` | `addEnumProperty(java.lang.String key, java.lang.String enumName, java.lang.String value)`
    `void` | `addProperty(java.lang.String key, java.lang.Object value)`
    `void` | `endArray()`
    `org.objectweb.asm.Type` | `getASMType()`
    `java.lang.String` | `getMember()`
    `cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType` | `getType()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getValues()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModAnnotation

          public ModAnnotation(cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType type,
                       org.objectweb.asm.Type asmType,
                       java.lang.String member)

    - #### ModAnnotation

          public ModAnnotation(cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType type,
                       org.objectweb.asm.Type asmType,
                       ModAnnotation parent)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getType

          public cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType getType()

    - #### getASMType

          public org.objectweb.asm.Type getASMType()

    - #### getMember

          public java.lang.String getMember()

    - #### getValues

          public java.util.Map<java.lang.String,java.lang.Object> getValues()

    - #### addArray

          public void addArray(java.lang.String name)

    - #### addProperty

          public void addProperty(java.lang.String key,
                         java.lang.Object value)

    - #### addEnumProperty

          public void addEnumProperty(java.lang.String key,
                             java.lang.String enumName,
                             java.lang.String value)

    - #### endArray

          public void endArray()

    - #### addChildAnnotation

          public ModAnnotation addChildAnnotation(java.lang.String name,
                                         java.lang.String desc)